#include "MaterialNode.h"

#include <iostream>

MaterialNode::MaterialNode(const DiscretePoint& location)
    : AbstractVisualNode(location),
        mFillColor(Color(255, 255, 255)),
        mStrokeColor(Color(0, 0, 0))
{

}

const Color& MaterialNode::getFillColor() const
{
    return mFillColor;
}

const Color& MaterialNode::getStrokeColor() const
{
    return mStrokeColor;
}

void MaterialNode::setFillColor(const Color& color)
{
    if (mFillColor != color)
    {
        mMaterialIsDirty = true;
        mFillColor = color;
    }
}

void MaterialNode::setStrokeColor(const Color&  color)
{
    if (mStrokeColor != color)
    {
        mMaterialIsDirty = true;
        mStrokeColor = color;
    }
}
